Search for all

  1. Search 7.x for all
  2. Search 8.9.x for all
  3. Search 10.3.x for all
  4. Search 11.x for all
  5. Search main for all
  6. Other projects
Title Object type File name Summary
ParamConversionEnhancerTest class core/tests/Drupal/Tests/Core/Enhancer/ParamConversionEnhancerTest.php @coversDefaultClass \Drupal\Core\Routing\Enhancer\ParamConversionEnhancer[[api-linebreak]]
@group Enhancer
ParamConversionEnhancerTest.php file core/tests/Drupal/Tests/Core/Enhancer/ParamConversionEnhancerTest.php
ParamConversionEnhancerTest::$paramConversionEnhancer property core/tests/Drupal/Tests/Core/Enhancer/ParamConversionEnhancerTest.php
ParamConversionEnhancerTest::$paramConverterManager property core/tests/Drupal/Tests/Core/Enhancer/ParamConversionEnhancerTest.php
ParamConversionEnhancerTest::setUp function core/tests/Drupal/Tests/Core/Enhancer/ParamConversionEnhancerTest.php
ParamConversionEnhancerTest::testCopyRawVariables function core/tests/Drupal/Tests/Core/Enhancer/ParamConversionEnhancerTest.php @covers ::copyRawVariables[[api-linebreak]]
ParamConversionEnhancerTest::testEnhance function core/tests/Drupal/Tests/Core/Enhancer/ParamConversionEnhancerTest.php @covers ::enhance[[api-linebreak]]
paramconverter.configentity_admin service core/core.services.yml Drupal\Core\ParamConverter\AdminPathConfigEntityConverter
paramconverter.entity service core/core.services.yml Drupal\Core\ParamConverter\EntityConverter
paramconverter.entity_revision service core/core.services.yml Drupal\Core\ParamConverter\EntityRevisionParamConverter
paramconverter.jsonapi.entity_uuid service core/modules/jsonapi/jsonapi.services.yml Drupal\jsonapi\ParamConverter\EntityUuidConverter
paramconverter.jsonapi.resource_type service core/modules/jsonapi/jsonapi.services.yml Drupal\jsonapi\ParamConverter\ResourceTypeConverter
paramconverter.menu_link service core/core.services.yml Drupal\Core\ParamConverter\MenuLinkPluginConverter
paramconverter.views_ui service core/modules/views_ui/views_ui.services.yml Drupal\views_ui\ParamConverter\ViewUIConverter
ParamConverterInterface interface core/lib/Drupal/Core/ParamConverter/ParamConverterInterface.php Interface for parameter converters.
ParamConverterInterface.php file core/lib/Drupal/Core/ParamConverter/ParamConverterInterface.php
ParamConverterInterface::applies function core/lib/Drupal/Core/ParamConverter/ParamConverterInterface.php Determines if the converter applies to a specific route and variable.
ParamConverterInterface::convert function core/lib/Drupal/Core/ParamConverter/ParamConverterInterface.php Converts path variables to their corresponding objects.
ParamConverterManager class core/lib/Drupal/Core/ParamConverter/ParamConverterManager.php Manages converter services for converting request parameters to full objects.
ParamConverterManager.php file core/lib/Drupal/Core/ParamConverter/ParamConverterManager.php
ParamConverterManager::$converters property core/lib/Drupal/Core/ParamConverter/ParamConverterManager.php Array of loaded converter services keyed by their ids.
ParamConverterManager::addConverter function core/lib/Drupal/Core/ParamConverter/ParamConverterManager.php Registers a parameter converter with the manager.
ParamConverterManager::convert function core/lib/Drupal/Core/ParamConverter/ParamConverterManager.php Invokes the registered converter for each defined parameter on a route.
ParamConverterManager::getConverter function core/lib/Drupal/Core/ParamConverter/ParamConverterManager.php Lazy-loads converter services.
ParamConverterManager::setRouteParameterConverters function core/lib/Drupal/Core/ParamConverter/ParamConverterManager.php Saves a list of applicable converters to each route.
ParamConverterManagerInterface interface core/lib/Drupal/Core/ParamConverter/ParamConverterManagerInterface.php Provides an interface for a parameter converter manager.
ParamConverterManagerInterface.php file core/lib/Drupal/Core/ParamConverter/ParamConverterManagerInterface.php
ParamConverterManagerInterface::addConverter function core/lib/Drupal/Core/ParamConverter/ParamConverterManagerInterface.php Registers a parameter converter with the manager.
ParamConverterManagerInterface::convert function core/lib/Drupal/Core/ParamConverter/ParamConverterManagerInterface.php Invokes the registered converter for each defined parameter on a route.
ParamConverterManagerInterface::getConverter function core/lib/Drupal/Core/ParamConverter/ParamConverterManagerInterface.php Lazy-loads converter services.
ParamConverterManagerInterface::setRouteParameterConverters function core/lib/Drupal/Core/ParamConverter/ParamConverterManagerInterface.php Saves a list of applicable converters to each route.
ParamConverterManagerTest class core/tests/Drupal/Tests/Core/ParamConverter/ParamConverterManagerTest.php @coversDefaultClass \Drupal\Core\ParamConverter\ParamConverterManager[[api-linebreak]]
@group ParamConverter
ParamConverterManagerTest.php file core/tests/Drupal/Tests/Core/ParamConverter/ParamConverterManagerTest.php
ParamConverterManagerTest::$manager property core/tests/Drupal/Tests/Core/ParamConverter/ParamConverterManagerTest.php
ParamConverterManagerTest::providerTestAddConverter function core/tests/Drupal/Tests/Core/ParamConverter/ParamConverterManagerTest.php Provide data for parameter converter manager tests.
ParamConverterManagerTest::providerTestGetConverter function core/tests/Drupal/Tests/Core/ParamConverter/ParamConverterManagerTest.php Provide data for parameter converter manager tests.
ParamConverterManagerTest::providerTestSetRouteParameterConverters function core/tests/Drupal/Tests/Core/ParamConverter/ParamConverterManagerTest.php Provides data for testSetRouteParameterConverters().
ParamConverterManagerTest::setUp function core/tests/Drupal/Tests/Core/ParamConverter/ParamConverterManagerTest.php
ParamConverterManagerTest::testConvert function core/tests/Drupal/Tests/Core/ParamConverter/ParamConverterManagerTest.php @covers ::convert[[api-linebreak]]
ParamConverterManagerTest::testConvertMissingParam function core/tests/Drupal/Tests/Core/ParamConverter/ParamConverterManagerTest.php @covers ::convert[[api-linebreak]]
ParamConverterManagerTest::testConvertNoConverting function core/tests/Drupal/Tests/Core/ParamConverter/ParamConverterManagerTest.php @covers ::convert[[api-linebreak]]
ParamConverterManagerTest::testGetConverter function core/tests/Drupal/Tests/Core/ParamConverter/ParamConverterManagerTest.php Tests \Drupal\Core\ParamConverter\ParamConverterManager::getConverter().
ParamConverterManagerTest::testGetConverterException function core/tests/Drupal/Tests/Core/ParamConverter/ParamConverterManagerTest.php Tests \Drupal\Core\ParamConverter\ParamConverterManager::getConverter().
ParamConverterManagerTest::testSetRouteParameterConverters function core/tests/Drupal/Tests/Core/ParamConverter/ParamConverterManagerTest.php @covers ::setRouteParameterConverters[[api-linebreak]]
ParamConverterSubscriber class core/lib/Drupal/Core/EventSubscriber/ParamConverterSubscriber.php Event subscriber for registering parameter converters with routes.
ParamConverterSubscriber.php file core/lib/Drupal/Core/EventSubscriber/ParamConverterSubscriber.php
ParamConverterSubscriber::$paramConverterManager property core/lib/Drupal/Core/EventSubscriber/ParamConverterSubscriber.php The parameter converter manager.
ParamConverterSubscriber::getSubscribedEvents function core/lib/Drupal/Core/EventSubscriber/ParamConverterSubscriber.php
ParamConverterSubscriber::onRoutingRouteAlterSetParameterConverters function core/lib/Drupal/Core/EventSubscriber/ParamConverterSubscriber.php Applies parameter converters to route parameters.
ParamConverterSubscriber::__construct function core/lib/Drupal/Core/EventSubscriber/ParamConverterSubscriber.php Constructs a new ParamConverterSubscriber.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.